%define major	26
%define libname	%mklibname openshot %{major}
%define devname	%mklibname openshot -d

%define with_ruby	0

Name:		libopenshot
Epoch:		1
Version:	0.3.3
Release:	%mkrel 1
Summary:	Library for creating and editing videos
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.openshot.org/
Source0:	https://github.com/OpenShot/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Include-SOVERSION-in-VERSION.patch
Patch1:		libopenshot-0.3.0-find-babl-0.1.patch
Patch2:		libopenshot-0.3.0-magickcore-linking.patch

BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	swig
BuildRequires:	ffmpeg-devel
%if %{with_ruby}
BuildRequires:	pkgconfig(ruby)
%endif
BuildRequires:	libopenshot-audio-devel >= 0.3.2
BuildRequires:	pkgconfig(ImageMagick) >= 7.0
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(babl-0.1)
BuildRequires:	pkgconfig(catch2)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Svg)

%description
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <https://www.openshot.org/>.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <https://www.openshot.org/>.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	openshot-devel = %{epoch}:%{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
The python3-%{name} package contains python 3 bindings for
applications that use %{name}.

#----------------------------------------------------
%if %{with_ruby}
%package -n	ruby-%{name}
Summary:	Ruby bindings for %{name}
Group:		Development/Ruby

%description -n	ruby-%{name}
The ruby-%{name} package contains ruby bindings for
applications that use %{name}.
%endif
#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DDISABLE_BUNDLED_JSONCPP=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libopenshot.so.%{major}
%{_libdir}/libopenshot.so.%{major}.%{version}

%files -n %{devname}
%doc AUTHORS README.md
%{_includedir}/%{name}/
%{_libdir}/libopenshot.so

%files -n python3-%{name}
%doc AUTHORS README.md
%{python3_sitearch}/*

%if %{with_ruby}
%files -n ruby-%{name}
%{ruby_vendorarchdir}/*
%endif


%changelog
* Sat Jul 13 2024 daviddavid <daviddavid> 1:0.3.3-1.mga10
+ Revision: 2080902
- new version: 0.3.3

* Wed Dec 27 2023 daviddavid <daviddavid> 1:0.3.2-3.mga10
+ Revision: 2022116
- rebuild for py3.12

* Sun Oct 29 2023 daviddavid <daviddavid> 1:0.3.2-2.mga10
+ Revision: 2002567
- rebuild for new jsoncpp 1.9.5

* Wed Apr 26 2023 papoteur <papoteur> 1:0.3.2-1.mga9
+ Revision: 1955003
- new 0.3.2

* Mon Apr 17 2023 papoteur <papoteur> 1:0.3.1-1.mga9
+ Revision: 1953427
- new 0.3.1

* Thu Feb 23 2023 daviddavid <daviddavid> 1:0.3.0-4.mga9
+ Revision: 1945129
- add patch to fix magickcore linking issue
- add patch to find babl-0.1
- update build dependency for pkgconfig(babl-0.1)

* Thu Dec 22 2022 wally <wally> 1:0.3.0-3.mga9
+ Revision: 1925786
- rebuild for protobuf 21.12

* Sun Dec 04 2022 daviddavid <daviddavid> 1:0.3.0-2.mga9
+ Revision: 1917367
- enable Catch2 and OpenCV support

* Sun Dec 04 2022 daviddavid <daviddavid> 1:0.3.0-1.mga9
+ Revision: 1917321
- new version: 0.3.0
- now lib major is 23
- remove merged upstream patches

* Thu Apr 07 2022 luigiwalser <luigiwalser> 1:0.2.7-2.mga9
+ Revision: 1847496
- add upstream patches to fix integer overflows and build with ffmpeg 5.0
- 0.2.7
- library major is now 21
- remove old patch
- add new patch from debian
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 1:0.2.5-9.mga9
+ Revision: 1775204
- rebuild for python-3.10

* Wed Dec 29 2021 wally <wally> 1:0.2.5-8.mga9
+ Revision: 1765241
- rebuild for imagemagick 7.0.11.14

* Sat Mar 20 2021 daviddavid <daviddavid> 1:0.2.5-7.mga9
+ Revision: 1705254
- rebuild for python 3.9

* Sat Feb 27 2021 neoclust <neoclust> 1:0.2.5-6.mga9
+ Revision: 1692865
- Rebuild against new imagemagick

* Thu Dec 17 2020 umeabot <umeabot> 1:0.2.5-5.mga8
+ Revision: 1658873
- Rebuild for new Qt5

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1:0.2.5-4.mga8
+ Revision: 1650732
- rebuild for jsoncpp

* Mon Nov 16 2020 kekepower <kekepower> 1:0.2.5-3.mga8
+ Revision: 1646568
- Rebuild for new Imagemagick lib major

* Tue Jun 02 2020 daviddavid <daviddavid> 1:0.2.5-2.mga8
+ Revision: 1589662
- add upstream patch to fix build with gcc 10

* Wed Mar 04 2020 daviddavid <daviddavid> 1:0.2.5-1.mga8
+ Revision: 1553705
- new version: 0.2.5
- now libmajor is 19

* Thu Feb 20 2020 umeabot <umeabot> 1:0.2.4-3.mga8
+ Revision: 1547645
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 1:0.2.4-2.mga8
+ Revision: 1488202
- add missing epoch

* Sun Feb 09 2020 daviddavid <daviddavid> 1:0.2.4-1.mga8
+ Revision: 1488200
- new version: 0.2.4 (previous 2.4.4 release was an upstream mistake)
- now libmajor is 18
- use system jsoncpp

* Mon Dec 30 2019 kekepower <kekepower> 2.4.4-4.20190406git101f25a.mga8
+ Revision: 1474982
- Use new cmake macros
- Rebuild for new imagemagick

* Wed Sep 18 2019 tv <tv> 2.4.4-3.20190406git101f25a.mga8
+ Revision: 1443241
- Upgrade to latest git revision, to fix FTBFS with GCC9 on Fedora 30
- Requires libopenshot-audio also built from same or later gitrev
+ daviddavid <daviddavid>
- rebuild for python3.8
+ wally <wally>
- fix build with python3.8

* Sun Mar 31 2019 umeabot <umeabot> 2.4.4-2.mga7
+ Revision: 1383134
- Qt5 Rebuild

* Thu Mar 21 2019 daviddavid <daviddavid> 2.4.4-1.mga7
+ Revision: 1379457
- new version: 2.4.4
- now libmajor is 17

* Tue Jan 08 2019 daviddavid <daviddavid> 0.2.2-3.mga7
+ Revision: 1352387
- rebuild for new Python 3.7
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Sep 23 2018 daviddavid <daviddavid> 0.2.2-1.mga7
+ Revision: 1297248
- new version: 0.2.2
- now libmajor is 16
- rename and rediff fix-build-with-imagemagick7 patch
- remove merged upstream patches

* Wed May 02 2018 kekepower <kekepower> 0.1.9-4.mga7
+ Revision: 1224488
- Rebuild for ImageMagic 7.0.7.29

* Sun Apr 29 2018 daviddavid <daviddavid> 0.1.9-3.mga7
+ Revision: 1223312
- add patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0

* Sun Apr 15 2018 daviddavid <daviddavid> 0.1.9-2.mga7
+ Revision: 1218963
- add rosa patch to fix build with ImageMagick >= 7.0
- rebuild for new imagemagick
+ kekepower <kekepower>
- Rebuild for new ImageMagick

* Sat Jan 06 2018 daviddavid <daviddavid> 0.1.9-1.mga7
+ Revision: 1190862
- new version: 0.1.9
- now libmajor is 14
- add upstream patch to fix build with ruby 2.4+

* Wed Dec 27 2017 wally <wally> 0.1.8-2.mga7
+ Revision: 1185713
- rebuild for new imagemagick

* Tue Sep 19 2017 daviddavid <daviddavid> 0.1.8-1.mga7
+ Revision: 1155724
- new version: 0.1.8
- now libmajor is 13

* Sat Sep 16 2017 cjw <cjw> 0.1.7-3.mga7
+ Revision: 1154745
- disable ruby bindings package because it fails to build
+ pterjan <pterjan>
- Rebuild for new Ruby

* Fri Aug 04 2017 daviddavid <daviddavid> 0.1.7-2.mga7
+ Revision: 1134773
- rebuild for Python 3.6

* Fri Jun 02 2017 akien <akien> 0.1.7-1.mga6
+ Revision: 1105812
- Version 0.1.7 (major 12)

* Sat May 27 2017 shlomif <shlomif> 0.1.3-5.mga6
+ Revision: 1105213
- rebuild for new imagemagick lib major

* Tue May 02 2017 akien <akien> 0.1.3-4.mga6
+ Revision: 1098297
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.1.3-3.mga6
+ Revision: 1089873
- Rebuild for ffmpeg 3.2.4

* Tue Feb 21 2017 wally <wally> 0.1.3-2.mga6
+ Revision: 1087226
- BR cppzmq instead of libzmq

* Wed Dec 28 2016 daviddavid <daviddavid> 0.1.3-1.mga6
+ Revision: 1078529
- new version: 0.1.3
- now libmajor is 0
- package the ruby bindings

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-2.mga6
+ Revision: 1060056
- rebuild for ARM

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1059969
- initial package libopenshot

